Bug 64387 - FLASH usage is wasteful
Summary: FLASH usage is wasteful
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: RedBoot (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: eCos bugs internal list
QA Contact: eCos bugs internal list
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-03 13:22 UTC by George Thomas
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 16:15:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description George Thomas 2002-05-03 13:22:38 UTC
Description of Problem:

Currently both fconfig and FIS directory take an entire FLASH erase block each.
On systems where the FLASH block size is large (iPAQ => 0x40000 bytes!), this
is tremendously wasteful.

It should be possible to combine these data into a single FLASH block.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Gary Thomas 2002-08-13 13:40:40 UTC
This is now in place, with the FCONFIG data being positioned at the end
of the FIS directory block.  Currently this behavior must be selected
by CDL (not default).

Comment 2 Alex Schuilenburg 2003-06-20 16:15:35 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=64387


Note You need to log in before you can comment on or make changes to this bug.